Titanium.UI.setBackgroundColor('#000');
var win = Titanium.UI.createWindow({
	backgroundColor:'white'
});

var cb = Ti.UI.createSwitch({
	value: true,
	style: Ti.UI.Android.SWITCH_STYLE_CHECKBOX,
	title: "Give one row backgroundSelectedColor",
	top: "5dp", left: "5dp", right: "5dp", height: "60dp"
});
var btn = Ti.UI.createButton({
	title: "Create TableView",
	top: "65dp", left: "5dp", width: "200dp", height: "40dp"
});
var tv = null;

win.add(cb);
win.add(btn);

btn.addEventListener('click', function(e) {
	if (tv !== null) {
		win.remove(tv);
	}
	win.add(tv = Ti.UI.createTableView({
		top: "110dp", left: "0dp", right: "0dp", bottom: "0dp",
		backgroundColor: "blue", opacity: 0.8
	}));


	var rows = [];
	for (var i = 0; i < 10; i++) {
		var row = Ti.UI.createTableViewRow();
		row.title = "Row " + (i + 1);
		if (i === 4) {
			row.title = "Evil row";
			row.backgroundColor =  "yellow";
			if (cb.value) {
				row.backgroundSelectedColor = "red";
			}
		}
		if (i === 5) {
			row.title = "With opacity";
			row.backgroundColor =  "yellow";
			row.opacity=0.8;
			if (cb.value) {
				row.backgroundSelectedColor = "red";
			}
		}
		if (i === 8) {
			// Just testing standard background
			row.backgroundColor = "yellow";
			row.title = "I am yellow";
		}
		rows.push(row);
	}
	tv.setData(rows);
});

win.open();
